Loading...
Searching...
No Matches
FastIntegerDivide.h File Reference
`#include "Buffer.h"`
`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.

## Functions

Expr | Halide::fast_integer_divide (const Expr &numerator, const Expr &denominator)
| Integer division by small values can be done exactly as multiplies and shifts.
Expr | Halide::fast_integer_divide_round_to_zero (const Expr &numerator, const Expr &denominator)
| A variant of the above which rounds towards zero instead of rounding towards negative infinity.
Expr | Halide::fast_integer_modulo (const Expr &numerator, const Expr &denominator)
| Use the fast integer division tables to implement a modulo operation via the Euclidean identity: ab = a - (a/b)*b.